Bug 1076905 - dtb package file conflict: COPYING
dtb package file conflict: COPYING
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
armv7 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Michal Suchanek
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-20 17:02 UTC by Andreas Färber
Modified: 2022-07-21 17:20 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Färber 2018-01-20 17:02:56 UTC
Updating one of my Tumbleweed systems I am getting tons of conflicts with my multiversion-enabled dtb packages.

Either something changed in kernel/dtb packaging, or it previously went unnoticed because the files had the same contents. Apparently all packages, old and new, are using the same unversioned /usr/share/doc/packages/dtb-sun7i path for storing the COPYING file, which over time may get e.g. FSF address changes.

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.9.0-17.8.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.10.rc2-1.1.g870a2f2.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.10.rc3-3.1.g5e5739e.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.9.0-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.10.rc6-2.1.g18f6269.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.9.7-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.10.8-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.11.rc5-2.1.g8c4cd71.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.11.3-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.12.rc5-1.1.g270295f.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.11.5-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.12.rc7-1.1.gaec31ef.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.11.7-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.rc1-3.1.g40a8696.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.11.8-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.11.8-2.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.rc3-1.1.g4ef483a.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.rc4-1.1.g94b098f.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.rc4-2.1.g75f0a86.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.12.7-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.12.9-1.2.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.rc7-1.1.gdd00417.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.0-3.1.g177f533.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.12.11-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.1-1.1.gc0b7e1f.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.2-1.2.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.rc1-1.1.gcb96cd5.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.rc2-1.1.gb61ed0c.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.4-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.4-1.2.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.rc4-1.1.g879f297.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.5-1.2.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.rc8-1.1.g0fbdeee.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.13.11-1.1.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.1-1.1.gad7eea8.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.0-1.3.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.15.rc2-2.1.gef715eb.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.3-1.3.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.3-1.4.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.15.rc3-1.1.g383d72f.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
  conflicts with file from package
     dtb-sun7i-4.14.4-1.3.armv7hl (@System)

File /usr/share/doc/packages/dtb-sun7i/COPYING
  from install of
     dtb-sun7i-4.14.12-1.1.armv7hl (openSUSE-Factory-repo-oss)
  conflicts with file from install of
     dtb-sun7i-4.15.rc8-1.1.g05e4405.armv7hl (OBS Kernel:HEAD)
Comment 1 Michal Suchanek 2018-01-22 12:20:07 UTC
.. or the new rpm started to check conflicts between different versions of the same package.
Comment 2 Michal Suchanek 2018-01-22 12:35:16 UTC
ok, is removing the file completely a problem or should it be included in every dtb subdirectory?
Comment 3 Michal Suchanek 2018-03-12 06:18:07 UTC
Should be merged by now